## uutraf 1.1

=== Makefile ===
# Makefile for uutraf  - an UUCP traffic analyzer
#
# $Id: Makefile,v 1.5 1996/08/03 18:21:53 david Exp david $
# $Log: Makefile,v $
# Revision 1.5  1996/08/03 18:21:53  david
# Added VERSION defines, prefix is now empty
#
# Revision 1.4  1996/05/22 21:37:40  david
# uutraf.cf lives now in /etc/uucp.
#
# Revision 1.4  1996/05/22 21:08:50  david
# moved uutraf.cf from /etc into /etc/uucp.
#
# Revision 1.3  1996/05/11 10:59:48  david
# uutraf.cf lives now in /etc
#
# Revision 1.2  1996/04/13 21:52:58  david
# added debian.* and configuration files into dependency list.
#
# Revision 1.1  1996/03/17 16:15:20  david
# Adapted for ELF distribution
#
# Revision 1.0  1996/01/01 20:30:18  david
# Initial revision
#
RM      = rm -f
CC      = gcc

# If you want to obtain news articles statistics by default, uncomment the
# following line.
DEFS 	= -DDEFAULT_NEWSSTATS
 
# If you do *not* want to have each transfer rounded up to the next kB when
# applying kB fees (ie if you want to apply this fee to the real transfer
# volume), uncomment the following line.
DEFS 	+= -DDEFAULT_PROVFEEPERKBMULT=0
DEFS	+= -DCFGFILE=\"$(LIBDIR)/uutraf.cf\" -DVERSION=\"$(VERSION)\"

CFLAGS  = -O2 -Wall
LIBS    = -lm
LDFLAGS = -s

BIN     = uutraf
MAN1    = $(BIN).1
MAN5    = $(BIN).5
SRCS	= config.c stats.c utils.c
OBJS	= $(SRCS:.c=.o)
HEADER  = $(BIN).h
CFFILE  = uutraf.cf

VERSION = 1.1
prefix  = 
LIBDIR  = $(prefix)/etc/uucp
BINDIR  = $(prefix)/usr/bin
MAN1DIR = $(prefix)/usr/man/man1
MAN5DIR = $(prefix)/usr/man/man5

all:	$(BIN)

source:	$(SRCS) $(HEADER) $(MAN1) $(MAN5) $(CFFILE)
# implicit rules.

$(BIN).c:
	co -kv $@

$(MAN1):
$(MAN5):
	co -kk $(MAN1) $(MAN5)
	mv $(MAN1) $(MAN1).sed
	mv $(MAN5) $(MAN5).sed
	sed "s/\\\$$Date\\\$$/`date +'%B %_d, %Y'`/g" $(MAN1).sed > $(MAN1)
	sed "s/\\\$$Date\\\$$/`date +'%B %_d, %Y'`/g" $(MAN5).sed > $(MAN5)
	-$(RM) $(MAN1).sed $(MAN5).sed
	chmod 644 $(MAN1) $(MAN5)

.c.o:	$(HEADER) $(SRCS) $(OBJS)
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

$(BIN):	$(BIN).c $(HEADER) $(SRCS) $(OBJS) $(MAN)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS

distclean:	clean
	$(RM) $(BIN)

realclean:	distclean
	-rcsclean
	-$(RM) *.[ch15]

install: 	$(MAN1) $(MAN5) $(BIN) $(CFFILE)
	install -d -g root -o root -m 755 $(BINDIR)
	install -s -g root -o root -m 755 $(BIN)     $(BINDIR)
	install -d -g root -o root -m 644 $(MAN1DIR)
	install    -g root -o root -m 644 $(MAN1)    $(MAN1DIR)
	install -d -g root -o root -m 644 $(MAN5DIR)
	install    -g root -o root -m 644 $(MAN5)    $(MAN5DIR)
	install -d -g root -o root -m 755 $(LIBDIR)
	install    -g root -o root -m 644 $(CFFILE)  $(LIBDIR)/$(CFFILE)

=== debian/changelog ===
uutraf (1.1-1) unstable;
  
  * Converted to new Packaging format.

 -- David Frey <david@eos.lugs.ch>  Tue, 17 Sep 1996 00:00:27 +0200

Tue Aug 13 23:58:52 1996  David Frey  <david@eos.lugs.ch>

	* Incorporated patches of Yves Arrouge to fix 
	  core dump of uutraf with his data (Bug#3936):
         
           - support for rnews statistics 
             (on by default on Debian, see the MOREDEFS assignement 
              in debian.rules);
           - corrected mail statistics: received mails were counted 
             as received files and vice-versa;

           - new search of stats entry taking into account the 
             send/receive indication and the size of the file/mail; 
             without that, traffic was not correctly summed because 
             of the time gap between dates in Log and Stats;

           - new fields in uutraf.cf (cf. uutraf(5) manual page).

	* Fixed line numbering of the config file (Bug#3937)

Wed May 22 22:13:05 1996  David Frey  <david@eos.lugs.ch>

	*  Fixed typo in postinst script (Bug#3094)
	
	*  Added section field in debian.control.
	
	*  Moved /etc/uutraf.cf into /etc/uucp/uutraf.cf
	
Sun Apr 14 23:45:38 1996  David Frey  <david@eos.lugs.ch>

	* Changed Log and Stats default search path to 
	  /var/log/uucp/{Log,Stats}.

=== debian/control ===
Source: uutraf
Section: comm
Priority: optional
Maintainer: David Frey <David.Frey@lugs.ch>
Standards-Version: 2.0.1.0

Package: uutraf
Architecture: any
Depends: ${shlibs:Depends}, uucp
Description: an UUCP traffic analysator and cost estimator
 uutraf analyses your Log and Stats files and estimates the cost of
 your phone bill and UUCP provider bill.

=== debian/rules ===
#!/usr/bin/make -f

p=$(shell sed '1s/Source: \(.*\)/\1/; 2,$$d' debian/control)
v=1.1

build:
	$(checkdir)
	make $p LIBDIR="/etc/uucp" VERSION=\"$(v)\"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in -i distclean
	-rm -rf debian/tmp* *~ *.orig ./#*# tmp.* debian/files*
	find -name '*~' -print0 | xargs -r0 rm --

binary:		binary-arch binary-indep

binary-indep:

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN debian/tmp/etc/uucp
	install -d debian/tmp/usr/doc/$(p)
	install -g root -o root -m 644 debian/copyright\
	  debian/tmp/usr/doc/$(p)/copyright
	install -g root -o root -m 644 debian/changelog\
	  debian/tmp/usr/doc/$(p)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(p)/changelog.Debian
	make install prefix=debian/tmp
	dpkg-shlibdeps $(p)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws,a+r,u+w debian/tmp
	dpkg-deb --build debian/tmp ..

define checkdir
	test -f $(p).c
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary source diff clean checkroot

## uutraf 1.1-5

=== Makefile ===
# Makefile for uutraf  - an UUCP traffic analyzer

CC      = gcc

# If you want to obtain news articles statistics by default, uncomment the
# following line.
DEFS 	= -DDEFAULT_NEWSSTATS
 
# If you do *not* want to have each transfer rounded up to the next kB when
# applying kB fees (ie if you want to apply this fee to the real transfer
# volume), uncomment the following line.
DEFS 	+= -DDEFAULT_PROVFEEPERKBMULT=0
DEFS	+= -DCFGFILE=\"$(LIBDIR)/uutraf.cf\" -DVERSION=\"$(VERSION)\"

CFLAGS  = -g -O2 -Wall
LIBS    = -lm
LDFLAGS =

BIN     = uutraf
MAN1    = $(BIN).1
MAN5    = $(BIN).5
SRCS	= config.c stats.c utils.c
OBJS	= $(SRCS:.c=.o)
HEADER  = $(BIN).h
CFFILE  = uutraf.cf

VERSION = 1.1
prefix  = 
LIBDIR  = $(prefix)/etc/uucp
BINDIR  = $(prefix)/usr/bin
MAN1DIR = $(prefix)/usr/man/man1
MAN5DIR = $(prefix)/usr/man/man5

all:	$(BIN)

source:	$(SRCS) $(HEADER) $(MAN1) $(MAN5) $(CFFILE)
# implicit rules.

$(BIN).c:
	co -kv $@

$(MAN1):
$(MAN5):
	co -kk $(MAN1) $(MAN5)
	mv $(MAN1) $(MAN1).sed
	mv $(MAN5) $(MAN5).sed
	sed "s/\\\$$Date\\\$$/`date +'%B %_d, %Y'`/g" $(MAN1).sed > $(MAN1)
	sed "s/\\\$$Date\\\$$/`date +'%B %_d, %Y'`/g" $(MAN5).sed > $(MAN5)
	-$(RM) $(MAN1).sed $(MAN5).sed
	chmod 644 $(MAN1) $(MAN5)

.c.o:	$(HEADER) $(SRCS) $(OBJS)
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

$(BIN):	$(BIN).c $(HEADER) $(SRCS) $(OBJS) $(MAN)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS

distclean:	clean
	$(RM) $(BIN)

realclean:	distclean
	-rcsclean
	-$(RM) *.[ch15]

install: 	$(MAN1) $(MAN5) $(BIN) $(CFFILE)
	install -d -m 755 $(BINDIR) $(MAN1DIR) $(MAN5DIR) $(LIBDIR)
	install -s -m 755 $(BIN)     $(BINDIR)
	install    -m 644 $(MAN1)    $(MAN1DIR)
	install    -m 644 $(MAN5)    $(MAN5DIR)
	install    -m 644 $(CFFILE)  $(LIBDIR)/$(CFFILE)

=== debian/changelog ===
uutraf (1.1-5) unstable; urgency=low

  * fixed typo in Description file (closes Bug#18985)

 -- David Frey <dfrey@debian.org>  Sat,  7 Mar 1998 19:59:09 +0100

uutraf (1.1-4) unstable; urgency=low

  * changed maintainer address to now working debian address.
  * fixed bugs reported by lintian: old-FSF address, strange permissions,
    md5sums file starting with dot.

 -- David Frey <dfrey@debian.org>  Tue, 10 Feb 1998 23:32:51 +0100

uutraf (1.1-3) unstable; urgency=low

  * changed maintainer address back to <David.Frey@eos.lugs.ch>
  * updated to Standard 2.3.0.1

 -- David Frey <david@eos.lugs.ch>  Sun, 21 Dec 1997 22:53:02 +0100

uutraf (1.1-2) unstable; urgency=low

  * recompiled for libc6
  * changed maintainer address to dFrey@debian.org
  * added md5sums in debian/rules

 -- David Frey <david@eos.lugs.ch>  Sat, 13 Sep 1997 00:09:10 +0200

=== debian/control ===
Source: uutraf
Section: comm
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.3.0.1

Package: uutraf
Architecture: any
Depends: ${shlibs:Depends}, uucp
Description: an UUCP traffic analyzer and cost estimator
 uutraf analyses your Log and Stats files and estimates the cost of
 your phone bill and UUCP provider bill.

=== debian/rules ===
#!/usr/bin/make -f

p=$(shell sed '1s/Source: \(.*\)/\1/; 2,$$d' debian/control)

build:
	make $p LIBDIR="/etc/uucp" && touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf debian/tmp* *~ *.orig ./#*# tmp.* debian/files*
	find -name '*~' -print0 | xargs -r0 rm --

binary-indep:

binary-arch: build
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d etc/uucp usr/doc/$(p)
	cp debian/copyright debian/tmp/usr/doc/$(p)/copyright
	cp debian/changelog debian/tmp/usr/doc/$(p)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(p)/changelog.Debian
	make install prefix=debian/tmp
	gzip -9f debian/tmp/usr/man/man1/* debian/tmp/usr/man/man5/*
	dpkg-shlibdeps $(p)
	install -d debian/tmp/DEBIAN 
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	cp debian/postinst debian/conffiles debian/tmp/DEBIAN
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws,a+r,u+w debian/tmp
	dpkg-deb --build debian/tmp ..

# Below here is fairly generic really
binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary source diff clean

## uutraf 1.1-7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # Makefile for uutraf  - an UUCP traffic analyzer
-
-CC      = gcc
+#                                                             -*- Makefile -*-
 
 # If you want to obtain news articles statistics by default, uncomment the
 # following line.
@@ -28,8 +27,8 @@
 prefix  = 
 LIBDIR  = $(prefix)/etc/uucp
 BINDIR  = $(prefix)/usr/bin
-MAN1DIR = $(prefix)/usr/man/man1
-MAN5DIR = $(prefix)/usr/man/man5
+MAN1DIR = $(prefix)/usr/share/man/man1
+MAN5DIR = $(prefix)/usr/share/man/man5
 
 all:	$(BIN)

=== debian/changelog ===
uutraf (1.1-7) unstable; urgency=low

  * update for policy 3.0.1: FHS-compliance  
  * changed priority from optional to extra
  * moved from section comm to admin

 -- David Frey <dfrey@debian.org>  Sun, 17 Oct 1999 17:11:08 +0200

uutraf (1.1-6) unstable; urgency=low

  * recompile for potato.

 -- David Frey <dfrey@debian.org>  Sat, 15 May 1999 21:20:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: uutraf
-Section: comm
-Priority: optional
+Section: admin
+Priority: extra
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 3.0.1
 
 Package: uutraf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#                                                            -*- Makefile -*-
# The name of the package (for example, `emacs').
package	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
tmp	:= debian/tmp
doc	:= usr/share/doc/$(package)
manroot := usr/share/man
man1	:= $(manroot)/man1
man5	:= $(manroot)/man5

build:
	make $(package) LIBDIR="/etc/uucp" && touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf $(tmp)/* *~ *.orig ./\#*\# tmp.* debian/files*
	find -name '*~' -print0 | xargs -r0 rm --

binary-indep:

binary-arch: build
	-rm -rf $(tmp)
	install -d $(tmp)
	cd $(tmp) && install -d etc/uucp $(doc)
	cp debian/copyright $(tmp)/$(doc)/copyright
	cp debian/changelog $(tmp)/$(doc)/changelog.Debian
	gzip -9f $(tmp)/$(doc)/changelog.Debian
	make install prefix=$(tmp)
	gzip -9f $(tmp)/$(man1)/* $(tmp)/$(man5)/*
	dpkg-shlibdeps $(package)
	install -d $(tmp)/DEBIAN 
	cd $(tmp) &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	install -d $(tmp)/DEBIAN
	cd debian && install -m 755 postinst prerm tmp/DEBIAN
	cd debian && install -m 644 conffiles tmp/DEBIAN
	dpkg-gencontrol
	chown -R root.root $(tmp)
	chmod -R g-ws,a+r,u+w $(tmp)
	dpkg-deb --build $(tmp) ..

# Below here is fairly generic really
binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary source diff clean

## uutraf 1.1-10

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 # If you want to obtain news articles statistics by default, uncomment the
 # following line.
-DEFS 	= -DDEFAULT_NEWSSTATS
- 
+DEFS	= -DDEFAULT_NEWSSTATS
+
 # If you do *not* want to have each transfer rounded up to the next kB when
 # applying kB fees (ie if you want to apply this fee to the real transfer
 # volume), uncomment the following line.
-DEFS 	+= -DDEFAULT_PROVFEEPERKBMULT=0
+DEFS	+= -DDEFAULT_PROVFEEPERKBMULT=0
 DEFS	+= -DCFGFILE=\"$(LIBDIR)/uutraf.cf\" -DVERSION=\"$(VERSION)\"
 
 CFLAGS  = -g -O2 -Wall
@@ -24,7 +24,7 @@
 CFFILE  = uutraf.cf
 
 VERSION = 1.1
-prefix  = 
+prefix  =
 LIBDIR  = $(prefix)/etc/uucp
 BINDIR  = $(prefix)/usr/bin
 MAN1DIR = $(prefix)/usr/share/man/man1
@@ -64,7 +64,7 @@
 	-rcsclean
 	-$(RM) *.[ch15]
 
-install: 	$(MAN1) $(MAN5) $(BIN) $(CFFILE)
+install:	$(MAN1) $(MAN5) $(BIN) $(CFFILE)
 	install -d -m 755 $(BINDIR) $(MAN1DIR) $(MAN5DIR) $(LIBDIR)
 	install -s -m 755 $(BIN)     $(BINDIR)
 	install    -m 644 $(MAN1)    $(MAN1DIR)

=== debian/changelog ===
uutraf (1.1-10) unstable; urgency=low

  * describe all fields in uutraf(5) (closes: Bug #128965)
  * update to standards version 3.5.6

 -- David Frey <dfrey@debian.org>  Sun, 13 Jan 2002 19:19:41 +0100

uutraf (1.1-9) unstable; urgency=low

  * include <errno.h> (closes: Bug #106203)

 -- David Frey <dfrey@debian.org>  Sun, 28 Oct 2001 17:52:52 +0100

uutraf (1.1-8) unstable; urgency=low

  * recompile for woody.

 -- David Frey <dfrey@debian.org>  Sun,  7 Jan 2001 23:12:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.5.6
 
 Package: uutraf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,14 @@
 	make install prefix=$(tmp)
 	gzip -9f $(tmp)/$(man1)/* $(tmp)/$(man5)/*
 	dpkg-shlibdeps $(package)
-	install -d $(tmp)/DEBIAN 
+	install -d $(tmp)/DEBIAN
 	cd $(tmp) &&\
 	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
 	   > DEBIAN/md5sums
 	install -d $(tmp)/DEBIAN
 	cd debian && install -m 755 postinst prerm tmp/DEBIAN
 	cd debian && install -m 644 conffiles tmp/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R g-ws,a+r,u+w $(tmp)
 	dpkg-deb --build $(tmp) ..

## uutraf 1.1-12

=== debian/changelog ===
uutraf (1.1-12) unstable; urgency=low

  * use int as return of getopt and do not declare errno extern 
    (fixes: Bug#182163)

 -- David Frey <dfrey@debian.org>  Mon,  3 Mar 2003 23:36:44 +0100

uutraf (1.1-11) unstable; urgency=low

  * do not set link to /usr/doc in postinst (fixes lintian bug)

 -- David Frey <dfrey@debian.org>  Sun, 16 Feb 2003 16:42:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.6
+Standards-Version: 3.5.8
 
 Package: uutraf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
 	   > DEBIAN/md5sums
 	install -d $(tmp)/DEBIAN
-	cd debian && install -m 755 postinst prerm tmp/DEBIAN
+	cd debian && install -m 755 prerm tmp/DEBIAN
 	cd debian && install -m 644 conffiles tmp/DEBIAN
 	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)

## uutraf 1.1-13

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,30 @@
 
 # If you want to obtain news articles statistics by default, uncomment the
 # following line.
-DEFS	= -DDEFAULT_NEWSSTATS
-
+DEFS 	= -DDEFAULT_NEWSSTATS
+ 
 # If you do *not* want to have each transfer rounded up to the next kB when
 # applying kB fees (ie if you want to apply this fee to the real transfer
 # volume), uncomment the following line.
-DEFS	+= -DDEFAULT_PROVFEEPERKBMULT=0
+DEFS 	+= -DDEFAULT_PROVFEEPERKBMULT=0
 DEFS	+= -DCFGFILE=\"$(LIBDIR)/uutraf.cf\" -DVERSION=\"$(VERSION)\"
 
-CFLAGS  = -g -O2 -Wall
+CFLAGS  = -g
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+else
+CFLAGS += -O2
+endif
+CFLAGS += -Wall -Wformat -Wmissing-prototypes\
+ -Wmissing-declarations -Wwrite-strings\
+ -Wbad-function-cast -Wstrict-prototypes -Wpointer-arith -Wcast-align\
+ -Wnested-externs -Wshadow
+
+INSTOPT=
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+INSTOPT += -s
+endif
+
 LIBS    = -lm
 LDFLAGS =
 
@@ -24,7 +39,7 @@
 CFFILE  = uutraf.cf
 
 VERSION = 1.1
-prefix  =
+prefix  = 
 LIBDIR  = $(prefix)/etc/uucp
 BINDIR  = $(prefix)/usr/bin
 MAN1DIR = $(prefix)/usr/share/man/man1
@@ -34,9 +49,6 @@
 
 source:	$(SRCS) $(HEADER) $(MAN1) $(MAN5) $(CFFILE)
 # implicit rules.
-
-$(BIN).c:
-	co -kv $@
 
 $(MAN1):
 $(MAN5):
@@ -64,9 +76,9 @@
 	-rcsclean
 	-$(RM) *.[ch15]
 
-install:	$(MAN1) $(MAN5) $(BIN) $(CFFILE)
+install: 	$(MAN1) $(MAN5) $(BIN) $(CFFILE)
 	install -d -m 755 $(BINDIR) $(MAN1DIR) $(MAN5DIR) $(LIBDIR)
-	install -s -m 755 $(BIN)     $(BINDIR)
-	install    -m 644 $(MAN1)    $(MAN1DIR)
-	install    -m 644 $(MAN5)    $(MAN5DIR)
-	install    -m 644 $(CFFILE)  $(LIBDIR)/$(CFFILE)
+	install $(INSTOPT) -m 755 $(BIN)     $(BINDIR)
+	install -m 644 $(MAN1)    $(MAN1DIR)
+	install -m 644 $(MAN5)    $(MAN5DIR)
+	install -m 644 $(CFFILE)  $(LIBDIR)/$(CFFILE)

=== debian/changelog ===
uutraf (1.1-13) unstable; urgency=low

  * updated standards version
  * code cleanup
  * handle nostrip (closes: #438257)
  
 -- David Frey <dfrey@debian.org>  Wed, 22 Aug 2007 23:45:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.8
+Standards-Version: 3.7.2
 
 Package: uutraf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 clean:
 	-rm -f build
 	-$(MAKE) -i distclean
-	-rm -rf $(tmp)/* *~ *.orig ./\#*\# tmp.* debian/files*
+	-rm -rf $(tmp)/* *~ *.orig ./\#*\# tmp.* debian/files* debian/substvars
 	find -name '*~' -print0 | xargs -r0 rm --
 
 binary-indep:
@@ -40,6 +40,7 @@
 	chown -R root.root $(tmp)
 	chmod -R g-ws,a+r,u+w $(tmp)
 	dpkg-deb --build $(tmp) ..
+	chmod a+r debian/files
 
 # Below here is fairly generic really
 binary:		binary-indep binary-arch
